GuideLab API

Upload a file

Uploads a small file directly via multipart form data. Large files must use the presigned upload/finalize flow. Optionally attach to a patient, order, or order item. A thumbnail can be uploaded alongside the main file.

POST
/files/upload

Uploads a small file directly via multipart form data. Large files must use the presigned upload/finalize flow. Optionally attach to a patient, order, or order item. A thumbnail can be uploaded alongside the main file.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X POST "https://example.com/files/upload"
{  "id": "string",  "partnershipId": "string",  "uploadedByOrganizationId": "string",  "name": "string",  "type": "string",  "mimeType": "string",  "size": 0,  "url": "string",  "thumbnailUrl": "string",  "orderId": "string",  "patientId": "string",  "orderItemId": "string",  "fileRequirementId": "string",  "createdAt": "string"}
Empty
Empty
Empty